.animated {
	opacity: 0;
	&.inViewport {
		opacity: 1;
	}
}

#main {
	.browser.inViewport {
		animation: fadeInLeft 1s .5s ease both;
	}
	.mobile.inViewport {
		animation: fadeInBottom 1s .5s ease both;
	}
	.hand.inViewport {
		animation: fadeInRight 1s .5s ease both;
	}
}
#features {
	.animation-block.inViewport {
		animation: fadeInLeft 1s 0.5s ease both;
	}
	.text-block.inViewport {
		animation: fadeInRight 1s 0.5s ease both;
	}
	.animation-block {
		position: relative;
	}
	.password-animation {
		width: 100%;
		height: 100%;
		max-height: 285px;
		max-width: 362px;
		position: absolute;
		top: 0;
		left: 50%;
		transform: translateX(-50%);
		.fields {
			@include clearfix;
			width: 60%;
			height: 23.5%;
			position: absolute;
			top: 15.5%;
			right: 0;
			border: 3px solid #6987AE;
			border-radius: 5px;
			div[class^="field"] {
				float: left;
				width: 20%;
				height: 100%;
				background-image: url('../images/features/symbols-cycled.svg');
				background-repeat: no-repeat;
				-webkit-background-size: 100%;
				background-size: 100%;
				border-right: 3px solid #6987AE;
				&:last-of-type {
					border-right: 2px solid transparent;
					border-left: 2px solid transparent;
				}
			}
			@for $i from 1 through 5 {
				.field-#{$i} {
					background-position: 0 ($i * (100%/6));
				}
			}
		}
		&:hover {
			@for $i from 1 through 5 {
				$delay: $i * 0.33 + s;
				.field-#{$i} {
					background-position: 0 ($i * (100%/6));
					animation: passwordChange 3s $delay linear;
				}
			}
		}
	}
}
@keyframes passwordChange {
	0% {background-position: 0 0;}
	100% {background-position: 0 100%;}
}
#how-it-works {
	.animation-block.inViewport {
		animation: fadeInRight 1s .5s ease both;
	}
	.text-block.inViewport {
		animation: fadeInLeft 1s .5s ease both;
	}
	.step2 {
		.animation-block.inViewport {
			animation: fadeInLeft 1s .5s ease both;
		}
		.text-block.inViewport {
			animation: fadeInRight 1s .5s ease both;
		}
	}
}
#contact-us {
	.feedback-block.inViewport {
		animation: fadeInLeft 1s .5s ease both;
	}
	.contacts-block.inViewport {
		animation: fadeInRight 1s .5s ease both;
	}
	@include apply-to(min, $desktop) {
		.animation-block.inViewport {
			animation: fadeInLeft 1s .5s ease both;
		}
		.feedback-block.inViewport {
			animation: fadeInBottom 1s .5s ease both;
		}
	}
}
@keyframes fadeInLeft {
	from {
		opacity: 0;
		transform: translateX(-5em);
	}
	to {
		opacity: 1;
		transform: translateX(0);
	}
}
@keyframes fadeInRight {
	from {
		opacity: 0;
		transform: translateX(5em);
	}
	to {
		opacity: 1;
		transform: translateX(0);
	}
}
@keyframes fadeInBottom {
	from {
		opacity: 0;
		transform: translateY(5em);
	}
	to {
		opacity: 1;
		transform: translateY(0);
	}
}
@keyframes rotateY {
	from {
		transform: rotateY(0turn);
	}
	to {
		transform: rotateY(1turn);
	}
}